> ## Documentation Index
> Fetch the complete documentation index at: https://docs.revyops.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Companies

> Allows you to search for companies in the system. You can filter the search using query parameters, and the search will return companies that match the specified criteria.



## OpenAPI

````yaml GET /public/v2/companies
openapi: 3.0.3
info:
  title: RevyOps API
  version: 1.0.0
servers: []
security: []
paths:
  /public/v2/companies:
    get:
      tags:
        - public
      description: >-
        Allows you to search for companies in the system. You can filter the
        search using query parameters, and the search will return companies that
        match the specified criteria.
      operationId: Search for company (v2)
      parameters:
        - in: query
          name: domain
          schema:
            type: string
          description: Filter companies by domain
        - in: query
          name: industry
          schema:
            type: string
          description: Filter companies by industry
        - in: query
          name: name
          schema:
            type: string
          description: Filter companies by name
        - in: query
          name: page
          schema:
            type: integer
          description: Page number (1-based)
        - in: query
          name: page_size
          schema:
            type: integer
          description: Number of companies per page (max 100)
        - in: query
          name: structure
          schema:
            type: string
            enum:
              - FLAT
              - NESTED
            default: NESTED
          description: >-
            Format of custom fields in response. NESTED returns array of objects
            with id, field_name, field_value. FLAT returns object with field
            names as keys.
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedCompanyResponse'
          description: Paginated list of companies
        '403':
          description: Forbidden. Missing authentication credentials or invalid API key.
        '500':
          description: Internal Server Error. An unexpected error occurred on the server.
components:
  schemas:
    PaginatedCompanyResponse:
      type: object
      properties:
        count:
          type: integer
        total_pages:
          type: integer
        current_page:
          type: integer
        page_size:
          type: integer
        results:
          type: array
          items:
            $ref: '#/components/schemas/Company'
      required:
        - count
        - current_page
        - page_size
        - results
        - total_pages
    Company:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        updated_time:
          type: string
          format: date-time
          readOnly: true
        domain:
          type: string
        name:
          type: string
        company_status:
          type: string
        company_custom_fields:
          type: array
          items:
            $ref: '#/components/schemas/CompanyCustomFields'
        previous_status:
          type: string
          readOnly: true
          nullable: true
        status_changed_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
      required:
        - domain
        - id
        - previous_status
        - status_changed_at
        - updated_time
    CompanyCustomFields:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        updated_time:
          type: string
          format: date-time
          readOnly: true
        field_name:
          type: string
        field_value:
          type: string
          maxLength: 2500
      required:
        - field_name
        - field_value
        - id
        - updated_time

````